Domains API
21 REST endpoints for domains, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/domains.
GET/api/domainsList domains
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
POST/api/domainsCreate a domain
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 5
| Name | In | Description |
|---|---|---|
mode | body | JSON request field |
subdomain | body | JSON request field |
base | body | JSON request field |
hostname | body | JSON request field |
unicodeHostname | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/api/domains/{id}Delete domains by ID
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/domains/{id}Get domain details by ID
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/certificateCustom SSL certificate upload
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 3
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
certificate | body | JSON request field |
privateKey | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/api/domains/{id}/certificateRemove the uploaded SSL certificate (the domain returns to its automatic certificate)
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/delete-old-linksCreate or update domains by ID delete old links
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 3
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
before | body | JSON request field |
preview | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/delete-statisticsDanger zone
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/favoriteCreate or update domains by ID favorite
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/settingsUpdate domain settings
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/signing-keySignature key
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
action | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/transferCreate or update domains by ID transfer
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
email | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/verifyDNS refresh / verification
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/domains/{id}/webhook/logGet domains by ID webhook log
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/{id}/webhook/testWebhooks: test + delivery log
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/checkoutCreate or update domains checkout
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 4
| Name | In | Description |
|---|---|---|
quoteId | body | JSON request field |
gateway | body | JSON request field |
registrant | body | JSON request field |
consent | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/domains/orders/{id}/verifyCreate or update domains orders by ID verify
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/domains/searchDomain purchase search (registrar integration point)
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
q | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/api/domains/settings/{id}Update domain settings (alias)
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/domains/sharedShared domains offered by the operator
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
GET/api/domains/shared/checkIs a free subdomain available on a shared domain?
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
subdomain | query | Optional query parameter |
base | query | Optional query parameter |
Examples in 22 languages and Try it →

